会員ランク更新
PATCH
/customer_ranks/{rank}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customer_ranks/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"string","pointGivingUnitPrice":"12345","pointGivingUnit":"99999.99","displaySequence":"123","displayFlag":"0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customer_ranks/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "string", "pointGivingUnitPrice": "12345", "pointGivingUnit": "99999.99", "displaySequence": "123", "displayFlag": "0" }'会員ランクを更新します。
対象プラン
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”rank
required
string
会員ランク
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
名称
名称
string
pointGivingUnitPrice
ポイント付与単位
ポイント付与単位:ポイントを付与する単位(金額)
※付与ポイント数を指定した場合、必須。
string format: int
pointGivingUnit
付与ポイント数
付与ポイント数:付与するポイント数
※ポイント付与単位を指定した場合、必須。
string format: decimal
displaySequence
表示順
表示順
string format: int
displayFlag
有効/無効
有効/無効:端末で表示するかを設定。(0:無効、1:有効)
string
Example
{ "name": "string", "pointGivingUnitPrice": "12345", "pointGivingUnit": "99999.99", "displaySequence": "123", "displayFlag": "0"}Responses
Section titled “Responses”更新成功
Media typeapplication/json
object
rank
会員ランク
string
name
名称
string
pointGivingUnitPrice
ポイント付与単位:ポイントを付与する単位(金額)
string
pointGivingUnit
付与ポイント数:付与するポイント数
string
displaySequence
表示順
string
displayFlag
有効/無効:端末で表示するかを設定。(0:無効、1:有効)
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
{ "rank": "string", "name": "string", "pointGivingUnitPrice": "string", "pointGivingUnit": "string", "displaySequence": "string", "displayFlag": "string", "insDateTime": "string", "updDateTime": "string"}- ポイント付与単位を指定し、付与ポイント数を指定しなかった場合
- 付与ポイント数を指定し、ポイント付与単位を指定しなかった場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "ポイント付与単位を指定した場合、付与ポイント数は必須です。", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "付与ポイント数を指定した場合、ポイント付与単位は必須です。", "status": 400}- 指定された会員ランクIDのリソースが見つからない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}